org.eclipse.viatra.dse.base

## Class SingletonSetConflictResolver

- java.lang.Object
- - org.eclipse.viatra.dse.base.SingletonSetConflictResolver

- All Implemented Interfaces:
    ConflictResolver

      public class SingletonSetConflictResolver
      extends java.lang.Object
      implements ConflictResolver

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ConflictResolver` | `conflictResolver`
    `protected ChangeableConflictSet` | `conflictSet`
    `protected ConflictResolver` | `prevConflictResolver`
    `protected RuleEngine` | `ruleEngine`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingletonSetConflictResolver(ConflictResolver conflictResolver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeConflictResolver(ConflictResolver conflictResolver)`
    `void` | `changeConflictResolverBack()`
    `ChangeableConflictSet` | `createConflictSet()`
    `void` | `setRuleEngine(RuleEngine ruleEngine)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### conflictSet

          protected ChangeableConflictSet conflictSet

    - #### conflictResolver

          protected ConflictResolver conflictResolver

    - #### prevConflictResolver

          protected ConflictResolver prevConflictResolver

    - #### ruleEngine

          protected RuleEngine ruleEngine

  - ### Constructor Detail

    - #### SingletonSetConflictResolver

          public SingletonSetConflictResolver(ConflictResolver conflictResolver)

  - ### Method Detail

    - #### createConflictSet

          public ChangeableConflictSet createConflictSet()

      Specified by:
        `createConflictSet` in interface `ConflictResolver`

    - #### changeConflictResolver

          public void changeConflictResolver(ConflictResolver conflictResolver)

    - #### changeConflictResolverBack

          public void changeConflictResolverBack()

    - #### setRuleEngine

          public void setRuleEngine(RuleEngine ruleEngine)